### Function

# Fwupd Release flag_from_string

since: 1.2.6

#### Declaration [src]

    FwupdReleaseFlags
    fwupd_release_flag_from_string (
      const gchar* release_flag
    )

#### Description [src]

Converts a string to an enumerated release flag.

Available since: 1.2.6

#### Parameters

`release_flag`

  Type: `const gchar*`

  A string, e.g. `trusted-payload`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FwupdReleaseFlags`

Enumerated value.